| Apache Ignite C++

Public Types | Static Public Member Functions | List of all members
ignite::binary::BinaryType< T *> Struct Template Reference

BinaryType template specialization for pointers. More...

`#include <binary_type.h>`

## Public Types
typedef BinaryType< T > | BinaryTypeDereferenced
| Actual type. More...

## Static Public Member Functions
static int32_t | GetTypeId ()
| Get binary object type ID. More...
static void | GetTypeName (std::string &dst)
| Get binary object type name. More...
static int32_t | GetFieldId (const char *name)
| Get binary object field ID. More...
static void | Write (BinaryWriter &writer, T *const &obj)
| Write binary object. More...
static void | Read (BinaryReader &reader, T *&dst)
| Read binary object. More...
static bool | IsNull (T *const &obj)
| Check whether passed binary object should be interpreted as NULL. More...
static void | GetNull (T *&dst)
| Get NULL value for the given binary type. More...

## Detailed Description

### template<typename T>
struct ignite::binary::BinaryType< T *>

BinaryType template specialization for pointers.

## Member Typedef Documentation

## ◆ BinaryTypeDereferenced

template<typename T >

typedef BinaryType<T> ignite::binary::BinaryType< T *>::BinaryTypeDereferenced

Actual type.

## Member Function Documentation

## ◆ GetFieldId()

template<typename T >

static int32_t ignite::binary::BinaryType< T *>::GetFieldId | ( | const char * | name | ) |
| inline static

Get binary object field ID.

Parameters

  name | Field name.

Returns
  Field ID.

## ◆ GetNull()

template<typename T >

static void ignite::binary::BinaryType< T *>::GetNull | ( | T *& | dst | ) |
| inline static

Get NULL value for the given binary type.

Parameters

  dst | NULL value for the type.

## ◆ GetTypeId()

template<typename T >

static int32_t ignite::binary::BinaryType< T *>::GetTypeId | ( |  | ) |
| inline static

Get binary object type ID.

Returns
  Type ID.

## ◆ GetTypeName()

template<typename T >

static void ignite::binary::BinaryType< T *>::GetTypeName | ( | std::string & | dst | ) |
| inline static

Get binary object type name.

Parameters

  dst | Output type name.

## ◆ IsNull()

template<typename T >

static bool ignite::binary::BinaryType< T *>::IsNull | ( | T *const & | obj | ) |
| inline static

Check whether passed binary object should be interpreted as NULL.

Parameters

  obj | Binary object to test.

Returns
  True if binary object should be interpreted as NULL.

## ◆ Read()

template<typename T >

static void ignite::binary::BinaryType< T *>::Read | ( | BinaryReader & | reader,
|  | T *& | dst
| ) |  |
| inline static

Read binary object.

Parameters

  reader | Reader.
  dst | Output object.

## ◆ Write()

template<typename T >

static void ignite::binary::BinaryType< T *>::Write | ( | BinaryWriter & | writer,
|  | T *const & | obj
| ) |  |
| inline static

Write binary object.

Parameters

  writer | Writer.
  obj | Object.

The documentation for this struct was generated from the following file:

- binary_type.h